Bug 65429 - remove support for platforms with no 64-bit integer type
Summary: remove support for platforms with no 64-bit integer type
Status: RESOLVED FIXED
Alias: None
Product: dbus
Classification: Unclassified
Component: core (show other bugs)
Version: unspecified
Hardware: Other All
: medium enhancement
Assignee: Simon McVittie
QA Contact: Havoc Pennington
URL:
Whiteboard: review?
Keywords: patch
Depends on:
Blocks:
 
Reported: 2013-06-05 18:43 UTC by Simon McVittie
Modified: 2013-10-08 09:56 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Remove support for platforms with no 64-bit integer type (29.09 KB, patch)
2013-06-05 18:43 UTC, Simon McVittie
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Simon McVittie 2013-06-05 18:43:33 UTC
Created attachment 80366 [details] [review]
Remove support for platforms with no 64-bit integer type

This has been a soft requirement since 1.5.0; anyone on such platforms
would have had to configure --without-64-bit, provoking a warning that
instructed them to report a D-Bus bug with details of their platform.
Nobody has done so, so if anyone still lacks a 64-bit integer type,
they're on their own.

(Also, I tried the build with --without-64-bit and it's full of
fatal compiler warnings, so it's not clear that we're actually
losing anything by removing this "feature".)
Comment 1 Chengwei Yang 2013-09-11 06:48:38 UTC
Comment on attachment 80366 [details] [review]
Remove support for platforms with no 64-bit integer type

Review of attachment 80366 [details] [review]:
-----------------------------------------------------------------

::: configure.ac
@@ +385,5 @@
>    AC_MSG_ERROR([Could not find a 64-bit integer type.
>  
>  Please report a bug here with details of your platform and compiler:
>  
> +    http://bugs.freedesktop.org/enter_bug.cgi?product=DBus&component=core])

Should this be removed? Since these platform will not be supported.

::: dbus/dbus-arch-deps.h.in
@@ +35,1 @@
>  #define DBUS_HAVE_INT64 1

I'm thinking if we can remove this definition? Also from the API document, it will not be used anymore.

::: dbus/dbus-types.h
@@ +89,4 @@
>   */
>  
>  /**
>   * @def DBUS_HAVE_INT64

I'm thinking if we can remove this definition? It will not be used from now on.
Comment 2 Simon McVittie 2013-09-13 13:14:21 UTC
(In reply to comment #1)
> ::: configure.ac
> @@ +385,5 @@
> >    AC_MSG_ERROR([Could not find a 64-bit integer type.
> >  
> >  Please report a bug here with details of your platform and compiler:
> >  
> > +    http://bugs.freedesktop.org/enter_bug.cgi?product=DBus&component=core])
> 
> Should this be removed? Since these platform will not be supported.

I'd rather hear about them (if they even exist) before we WONTFIX it.

> >  #define DBUS_HAVE_INT64 1
> 
> I'm thinking if we can remove this definition? Also from the API document,
> it will not be used anymore.

No, it's public API and existing correct code relies on it. "Don't break existing correct code" is one of the rules of maintaining a library.
Comment 3 Chengwei Yang 2013-09-13 13:47:11 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > ::: configure.ac
> > @@ +385,5 @@
> > >    AC_MSG_ERROR([Could not find a 64-bit integer type.
> > >  
> > >  Please report a bug here with details of your platform and compiler:
> > >  
> > > +    http://bugs.freedesktop.org/enter_bug.cgi?product=DBus&component=core])
> > 
> > Should this be removed? Since these platform will not be supported.
> 
> I'd rather hear about them (if they even exist) before we WONTFIX it.
> 
> > >  #define DBUS_HAVE_INT64 1
> > 
> > I'm thinking if we can remove this definition? Also from the API document,
> > it will not be used anymore.
> 
> No, it's public API and existing correct code relies on it. "Don't break
> existing correct code" is one of the rules of maintaining a library.

OK, fare enough, so r+ from me.
Comment 4 Simon McVittie 2013-09-16 14:00:02 UTC
None of the maintainers vetoed this so I'm going to merge it.
Comment 5 Simon McVittie 2013-10-08 09:56:31 UTC
Fixed in git for 1.7.6


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.